Package twisted :: Package lore :: Module slides :: Class ProsperSlides

[show private | hide private]
[frames | no frames]

## Class ProsperSlides

    BaseLatexSpitter --+
                       |
            LatexSpitter --+
                           |
                          ProsperSlides

Method Summary
| `__init__(self, writer, currDir, filename)` (inherited from `BaseLatexSpitter`)
| `convert_dia(self, src, target)` (inherited from `LatexSpitter`)
| `convert_png(self, src, target)` (inherited from `LatexSpitter`)
| `visitNode(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_a(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_a_href(self, node)` (inherited from `LatexSpitter`)
| `visitNode_a_listing(self, node)` (inherited from `LatexSpitter`)
| `visitNode_a_name(self, node)` (inherited from `LatexSpitter`)
| `visitNode_code(self, node)` (inherited from `LatexSpitter`)
| `visitNode_div(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h1(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h2(self, node)`
| `visitNode_h3(self, node)` (inherited from `LatexSpitter`)
| `visitNode_h4(self, node)` (inherited from `LatexSpitter`)
| `visitNode_head(self, node)` (inherited from `LatexSpitter`)
| `visitNode_img(self, node)` (inherited from `LatexSpitter`)
| `visitNode_pre(self, node)` (inherited from `LatexSpitter`)
| `visitNode_span(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_span_footnote(self, node)` (inherited from `LatexSpitter`)
| `visitNode_style(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_table(self, node)` (inherited from `LatexSpitter`)
| `visitNodeDefault(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNodeHeader(self, node)` (inherited from `LatexSpitter`)
| `writeNodeData(self, node)` (inherited from `LatexSpitter`)

Class Variable Summary
`str` | `end_div_author`
`int` | `firstSlide`
`str` | `start_body`
`str` | `start_div_author`
`str` | `start_html`

Class Variable Details

### end_div_author

  Type:
    `str`
  Value:

        '}'

### firstSlide

  Type:
    `int`
  Value:

        1

### start_body

  Type:
    `str`
  Value:

        '''\\begin{document}
        '''

### start_div_author

  Type:
    `str`
  Value:

        '\\author{'

### start_html

  Type:
    `str`
  Value:

        '''\\documentclass[pdf]{prosper}
        '''

Generated by Epydoc 1.1 on Thu May 8 13:18:31 2003 | http://epydoc.sf.net